- name: Prepare webservers
  hosts: all
  gather_facts: yes
  remote_user: root
  tasks:
    - name: Install packages
      ansible.builtin.apt:
        name: python3-pip
        update_cache: yes

    - name: Install Docker Module for Python
      ansible.builtin.pip:
        name: docker

- name: Deploy application
  hosts: all
  gather_facts: no
  remote_user: root
  tasks:
    - name: Run Docker Container
      community.docker.docker_container:
        name: hexlet-app
        image: hexletcomponents/devops-example-app
        published_ports: 
          - "5000:5000"
        restart_policy: always
        restart: yes
        container_default_behavior: no_defaults
        pull: yes
        env:
          ROLLBAR_TOKEN: "{{ROLLBAR_TOKEN}}"

